/*
 * Copyright 2025 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package xyz.zhouxy.plusone.example;

import java.util.Objects;

public class Foo {
    private Integer intProperty;
    private String stringProperty;

    public Foo() {
    }

    public Foo(Integer intProperty, String stringProperty) {
        this.intProperty = intProperty;
        this.stringProperty = stringProperty;
    }

    public Integer getIntProperty() {
        return intProperty;
    }

    public void setIntProperty(Integer intProperty) {
        this.intProperty = intProperty;
    }

    public String getStringProperty() {
        return stringProperty;
    }

    public void setStringProperty(String stringProperty) {
        this.stringProperty = stringProperty;
    }

    @Override
    public String toString() {
        return "Foo [intProperty=" + intProperty + ", stringProperty=" + stringProperty + "]";
    }

    @Override
    public int hashCode() {
        return Objects.hash(intProperty, stringProperty);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!(obj instanceof Foo))
            return false;
        Foo other = (Foo) obj;
        return Objects.equals(intProperty, other.intProperty) && Objects.equals(stringProperty, other.stringProperty);
    }
}
